searchNodes=[{"doc":"Utilities.","ref":"MpvJsonIpc.html","title":"MpvJsonIpc","type":"module"},{"doc":"Blocks until the library is fully loaded. See Properties and commands .","ref":"MpvJsonIpc.html#ensure_loaded/0","title":"MpvJsonIpc.ensure_loaded/0","type":"function"},{"doc":"Checks whether the library is fully loaded. See Properties and commands .","ref":"MpvJsonIpc.html#loaded?/0","title":"MpvJsonIpc.loaded?/0","type":"function"},{"doc":"Returns a list of running supervisors. Examples iex&gt; MpvJsonIpc.Mpv.Sup . start_link ( ) { :ok , # PID &lt; 0 . 2884 . 0 &gt; } iex&gt; MpvJsonIpc . running_sups ( ) [ { &quot;Elixir.MpvJsonIpc.Mpv.Sup114384777898228&quot; , # PID &lt; 0 . 2884 . 0 &gt; } ]","ref":"MpvJsonIpc.html#running_sups/0","title":"MpvJsonIpc.running_sups/0","type":"function"},{"doc":"Main module to interract with an MPV instance.","ref":"MpvJsonIpc.Mpv.html","title":"MpvJsonIpc.Mpv","type":"module"},{"doc":"Registers a callback to call when the event name occurs. Examples MpvJsonIpc.Mpv . bind_event ( server , &quot;seek&quot; , fn _ -&gt; IO . inspect ( &quot;seeking&quot; ) end ) MpvJsonIpc.Mpv . bind_event ( server , &quot;end-file&quot; , fn data -&gt; IO . inspect ( &quot;end-file with reason \#{ data [ :reason ] } &quot; ) end )","ref":"MpvJsonIpc.Mpv.html#bind_event/3","title":"MpvJsonIpc.Mpv.bind_event/3","type":"function"},{"doc":"Registers a callback to call when the key name is pressed. Examples MpvJsonIpc.Mpv . bind_key ( server , &quot;g&quot; , fn _ -&gt; IO . inspect ( &quot;key g is pressed&quot; ) end )","ref":"MpvJsonIpc.Mpv.html#bind_key/3","title":"MpvJsonIpc.Mpv.bind_key/3","type":"function"},{"doc":"Sends the command to the MPV instance. Available commands are here . Examples MpvJsonIpc.Mpv . command ( server , &quot;get_property&quot; , &quot;playback-time&quot; ) MpvJsonIpc.Mpv . command ( server , :get_property , :&quot;playback-time&quot; ) MpvJsonIpc.Mpv . command ( main , &quot;expand-properties&quot; , [ &quot;print-text&quot; , &quot;${playback-time}&quot; ] ) MpvJsonIpc.Mpv . command ( server , :set_property , [ :pause , true ] ) MpvJsonIpc.Mpv . command ( server , %{ name : &quot;loadfile&quot; , url : &quot;http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4&quot; , options : %{ cache : &quot;yes&quot; , &quot;demuxer-max-bytes&quot; : &quot;100MiB&quot; , &quot;demuxer-max-back-bytes&quot; : &quot;100MiB&quot; } } )","ref":"MpvJsonIpc.Mpv.html#command/3","title":"MpvJsonIpc.Mpv.command/3","type":"function"},{"doc":"Registers a callback to call when the property name changes. Examples MpvJsonIpc.Mpv . observe_property ( server , &quot;pause&quot; , fn pause -&gt; IO . inspect ( &quot;Property pause now has value \#{ pause } &quot; ) end )","ref":"MpvJsonIpc.Mpv.html#observe_property/3","title":"MpvJsonIpc.Mpv.observe_property/3","type":"function"},{"doc":"Convenience to register a callback for the event name . Examples MpvJsonIpc.Mpv . on_event server , &quot;seek&quot; do IO . inspect ( &quot;seeking&quot; ) end","ref":"MpvJsonIpc.Mpv.html#on_event/3","title":"MpvJsonIpc.Mpv.on_event/3","type":"macro"},{"doc":"Convenience to register a callback for the key name . Examples MpvJsonIpc.Mpv . on_keypress server , &quot;g&quot; do IO . inspect ( &quot;key g is pressed&quot; ) end","ref":"MpvJsonIpc.Mpv.html#on_keypress/3","title":"MpvJsonIpc.Mpv.on_keypress/3","type":"macro"},{"doc":"Convenience to register a callback for the property name . Examples MpvJsonIpc.Mpv . property_observer server , &quot;pause&quot; do if pause , do : IO . inspect ( &quot;in pause&quot; ) , else : IO . inspect ( &quot;playing&quot; ) end","ref":"MpvJsonIpc.Mpv.html#property_observer/3","title":"MpvJsonIpc.Mpv.property_observer/3","type":"macro"},{"doc":"Deletes a property observer with given observer_id . Examples oid = MpvJsonIpc.Mpv . observe_property ( server , &quot;pause&quot; , fn pause -&gt; IO . inspect ( &quot;Property pause now has value \#{ pause } &quot; ) end ) ... MpvJsonIpc.Mpv . unobserve_property ( server , oid )","ref":"MpvJsonIpc.Mpv.html#unobserve_property/2","title":"MpvJsonIpc.Mpv.unobserve_property/2","type":"function"},{"doc":"A Supervisor for an MPV instance.","ref":"MpvJsonIpc.Mpv.Sup.html","title":"MpvJsonIpc.Mpv.Sup","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"MpvJsonIpc.Mpv.Sup.html#child_spec/1","title":"MpvJsonIpc.Mpv.Sup.child_spec/1","type":"function"},{"doc":"Returns the the server instance that you can interract with using Mpv Examples { :ok , sup } = MpvJsonIpc.Mpv.Sup . start_link ( ) main = MpvJsonIpc.Mpv.Sup . main ( sup ) # When you don&#39;t know the supervisor pid (e.g. MpvJsonIpc.Mpv.Sup directly started in the supervision tree) { _ , sup } = MpvJsonIpc . running_sups ( ) |&gt; List . first ( ) main = MpvJsonIpc.Mpv.Sup . main ( sup ) MpvJsonIpc.Mpv . command ( main , &quot;get_property&quot; , &quot;playback-time&quot; )","ref":"MpvJsonIpc.Mpv.Sup.html#main/1","title":"MpvJsonIpc.Mpv.Sup.main/1","type":"function"},{"doc":"Starts the the supervisor. The following options can be set: :start_mpv - Whether to start an MPV instance; default: true . If this is set to false , :ipc_server must also be set. :ipc_server - the path of the IPC server, of the already running MPV instance. :path - the path of the MPV executable. If this is not set, it looks for MPV in the $PATH . :log_level - Whether to receive log messages from the MPV instance. If this is set, :log_handler must also be set. Available levels are described here :log_handler - a function that process log messages. Examples # Uses the MPV executable found in the `$PATH` MpvJsonIpc.Mpv.Sup . start_link ( ) # Uses a running MPV connected to /tmp/mpvsocket MpvJsonIpc.Mpv.Sup . start_link ( start_mpv : false , ipc_server : &quot;/tmp/mpvsocket&quot; ) # Uses the MPV executable found at /path/to/mpv MpvJsonIpc.Mpv.Sup . start_link ( path : &quot;/path/to/mpv&quot; ) # Calls `IO.inspect/1` on all messages with level `:debug` or above MpvJsonIpc.Mpv.Sup . start_link ( log_level : :debug , log_handler : &amp; IO . inspect / 1 )","ref":"MpvJsonIpc.Mpv.Sup.html#start_link/1","title":"MpvJsonIpc.Mpv.Sup.start_link/1","type":"function"},{"doc":"Stops the supervisor.","ref":"MpvJsonIpc.Mpv.Sup.html#stop/2","title":"MpvJsonIpc.Mpv.Sup.stop/2","type":"function"},{"doc":"Elixir API to MPV using JSON IPC. Inspired by this Python library .","ref":"readme.html","title":"MpvJsonIpc","type":"extras"},{"doc":"The package can be installed by adding mpv_json_ipc to your list of dependencies in mix.exs : def deps do [ { :mpv_json_ipc , &quot;~&gt; 0.1.0&quot; } ] end The docs can be found at https://hexdocs.pm/mpv_json_ipc .","ref":"readme.html#installation","title":"MpvJsonIpc - Installation","type":"extras"},{"doc":"require MpvJsonIpc.Mpv { :ok , sup } = MpvJsonIpc.Mpv.Sup . start_link ( ) main = MpvJsonIpc.Mpv.Sup . main ( sup ) MpvJsonIpc.Mpv . on_event main , &quot;seek&quot; do IO . inspect ( &quot;seeking&quot; ) end MpvJsonIpc.Mpv . property_observer main , &quot;pause&quot; do if pause , do : IO . inspect ( &quot;in pause&quot; ) , else : IO . inspect ( &quot;playing&quot; ) end MpvJsonIpc.Mpv . on_keypress main , &quot;g&quot; do IO . inspect ( &quot;key g pressed&quot; ) end :ok = MpvJsonIpc . ensure_loaded ( ) MpvJsonIpc.Mpv.Commands . loadfile ( main , &quot;http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4&quot; ) MpvJsonIpc.Mpv.Properties.Volume . set ( main , 30 )","ref":"readme.html#basic-usage","title":"MpvJsonIpc - Basic usage","type":"extras"},{"doc":"Upon loading, the library creates the modules MpvJsonIpc.Mpv.Commands and MpvJsonIpc.Mpv.Properties using the executable found in the $PATH . You can use them once the function MpvJsonIpc.loaded?/0 returns true , or once the function MpvJsonIpc.ensure_loaded/0 returns.","ref":"properties-and-commands.html","title":"Properties and Commands","type":"extras"},{"doc":"For each property returned by the MPV command get_property property-list , the module MpvJsonIpc.Mpv.Properties.&lt;property&gt; is created, where &lt;property&gt; is uppercased and the dashes are replaced with underscores. It contains the functions get(server) and set(server, value) . MpvJsonIpc.Mpv.Properties.Volume . set ( server , 30 ) MpvJsonIpc.Mpv.Properties.Volume . get ( server ) MpvJsonIpc.Mpv.Properties.Pause . set ( server , true ) MpvJsonIpc.Mpv.Properties.Speed . set ( server , 1 ) MpvJsonIpc.Mpv.Properties.Time_pos . get ( server )","ref":"properties-and-commands.html#properties","title":"Properties and Commands - Properties","type":"extras"},{"doc":"For each command returned by the MPV command get_property command-list , the function MpvJsonIpc.Mpv.Commands.&lt;command&gt;(args) is created, where the dashes in &lt;command&gt; are replaced with underscores. MpvJsonIpc.Mpv.Commands . loadfile ( server , &quot;http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4&quot; ) MpvJsonIpc.Mpv.Commands . seek ( server , [ 0 , :absolute ] )","ref":"properties-and-commands.html#commands","title":"Properties and Commands - Commands","type":"extras"}]